<style>
.img-list {
    margin: 0;
    padding: 0;
    list-style-type: none;
}

.img-list li {
    padding: 5px;
    overflow: auto;
}

.img-list li:hover {
    background-color: #eee;
}

.img-list li a {
    color: initial;
    text-decoration: none;
    display: block;
}

.img-list li img {
    width: 10%;
    float: left;
    margin: 0 15px 0 0;
    background: white;
    object-fit: scale-down;
}

.img-list li img.default-img {
    max-height: 5ex;
    background-color: var(--gs-primary-color);
    padding: 5px;
}

.img-list li .desc {
    margin: 0px;
}

.img-list li .name {
    margin: 5px;
    display: block;
    color: #409940;
    font-weight: bold;
    font-style: italic;
}
</style>
Go to <a href="databaseintro.html">database introduction</a> | <a href="topics.html">topics</a> <p>
# Database tools
<ul class="img-list"><li><a href="db.columns.html"><img class="default-img" src="grass_logo.svg"></a><a href="db.columns.html"><span class="name">db.columns</span> <span class="desc">List all columns for a given table.</span></a></li><li><a href="db.connect.html"><img class="default-img" src="grass_logo.svg"></a><a href="db.connect.html"><span class="name">db.connect</span> <span class="desc">Prints/sets general DB connection for current mapset.</span></a></li><li><a href="db.copy.html"><img class="default-img" src="grass_logo.svg"></a><a href="db.copy.html"><span class="name">db.copy</span> <span class="desc">Either 'from_table' (optionally with 'where') can be used or 'select' option, but not 'from_table' and 'select' at the same time.</span></a></li><li><a href="db.createdb.html"><img class="default-img" src="grass_logo.svg"></a><a href="db.createdb.html"><span class="name">db.createdb</span> <span class="desc">Creates an empty database.</span></a></li><li><a href="db.databases.html"><img class="default-img" src="grass_logo.svg"></a><a href="db.databases.html"><span class="name">db.databases</span> <span class="desc">Lists all databases for a given driver and location.</span></a></li><li><a href="db.describe.html"><img class="default-img" src="grass_logo.svg"></a><a href="db.describe.html"><span class="name">db.describe</span> <span class="desc">Describes a table in detail.</span></a></li><li><a href="db.drivers.html"><img class="default-img" src="grass_logo.svg"></a><a href="db.drivers.html"><span class="name">db.drivers</span> <span class="desc">Lists all database drivers.</span></a></li><li><a href="db.dropcolumn.html"><img class="default-img" src="grass_logo.svg"></a><a href="db.dropcolumn.html"><span class="name">db.dropcolumn</span> <span class="desc">Drops a column from selected attribute table.</span></a></li><li><a href="db.dropdb.html"><img class="default-img" src="grass_logo.svg"></a><a href="db.dropdb.html"><span class="name">db.dropdb</span> <span class="desc">Removes an existing database.</span></a></li><li><a href="db.droptable.html"><img class="default-img" src="grass_logo.svg"></a><a href="db.droptable.html"><span class="name">db.droptable</span> <span class="desc">Drops an attribute table.</span></a></li><li><a href="db.execute.html"><img class="default-img" src="grass_logo.svg"></a><a href="db.execute.html"><span class="name">db.execute</span> <span class="desc">For SELECT statements use 'db.select'.</span></a></li><li><a href="db.in.ogr.html"><img class="default-img" src="grass_logo.svg"></a><a href="db.in.ogr.html"><span class="name">db.in.ogr</span> <span class="desc">Imports attribute tables in various formats.</span></a></li><li><a href="db.login.html"><img class="default-img" src="grass_logo.svg"></a><a href="db.login.html"><span class="name">db.login</span> <span class="desc">Sets user/password for DB driver/database.</span></a></li><li><a href="db.out.ogr.html"><img class="default-img" src="grass_logo.svg"></a><a href="db.out.ogr.html"><span class="name">db.out.ogr</span> <span class="desc">Exports attribute tables into various formats.</span></a></li><li><a href="db.select.html"><img class="default-img" src="grass_logo.svg"></a><a href="db.select.html"><span class="name">db.select</span> <span class="desc">Performs SQL query statement(s).</span></a></li><li><a href="db.tables.html"><img class="default-img" src="grass_logo.svg"></a><a href="db.tables.html"><span class="name">db.tables</span> <span class="desc">Lists all tables for a given database.</span></a></li><li><a href="db.test.html"><img class="default-img" src="grass_logo.svg"></a><a href="db.test.html"><span class="name">db.test</span> <span class="desc">Test database driver, database must exist and set by db.connect.</span></a></li><li><a href="db.univar.html"><img class="default-img" src="grass_logo.svg"></a><a href="db.univar.html"><span class="name">db.univar</span> <span class="desc">Calculates univariate statistics on selected table column.</span></a></li></ul>